package math;


/**
 * Matemaattinen vakio-arvo. Vakion sisltm arvoa ei voi muuttaa.
 */
public class Constant extends Expression {
	private final double value;		// itse vakio
	/**
	 * Luo uuden vakio, parametrina annetulla arvolla.
	 * @param value		vakion arvo
	 */
	public Constant(double value) {
		this.value = value;
	}
	public double getValue() {
		return this.value;
	}
	public String toString() { return "" + this.value; }
}