package math;

/**
 * Yhden muuttujan (unaarinen) funktio.
 */
public abstract class Function extends Expression {
	protected Expression argument;		// funktion parametri
	/**
	 * Luo uuden funktion, ja asettaa sen parametriksi annetun lausekkeen.
	 * @param argument	asetettava parametri
	 * @throws NullPointerException
	 */
	public Function(Expression argument) throws NullPointerException {
		if( argument == null )
			throw new NullPointerException("No null-operands.");
		this.argument = argument;
	}
}
